# external imports
from giftable_erc20_token import GiftableToken

# local imports
from ge_capped_token.data import data_dir


class CappedToken(GiftableToken):

    @staticmethod
    def abi():
        if CappedToken.__abi == None:
            f = open(os.path.join(data_dir, 'CappedToken.json'), 'r')
            CappedToken.__abi = json.load(f)
            f.close()
        return CappedToken.__abi


    @staticmethod
    def bytecode(version=None):
        if CappedToken.__bytecode == None:
            f = open(os.path.join(data_dir, 'CappedToken.bin'))
            CappedToken.__bytecode = f.read()
            f.close()
        return CappedToken.__bytecode
